Package org.eclipse.birt.report.model.api.elements

# Interface ReportDesignConstants

public interface ReportDesignConstants
Defines constants for design element name.

See Also:
  - `DesignChoiceConstants`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACCESS_CONTROL`
`static final String`
`AUTOTEXT_ITEM`
`static final String`
`CASCADING_PARAMETER_GROUP_ELEMENT`
`static final String`
`CELL_ELEMENT`
`static final String`
`COLUMN_ELEMENT`
`static final String`
`CUBE_ELEMENT`
`static final String`
`DATA_GROUP_ELEMENT`
`static final String`
`DATA_ITEM`
`static final String`
`DATA_SET_ELEMENT`
`static final String`
`DATA_SOURCE_ELEMENT`
`static final String`
`DERIVED_DATA_SET`
`static final String`
`DERIVED_DATA_SET_ELEMENT`
`static final String`
`DESIGN_ELEMENT`
`static final String`
`DIMENSION_ELEMENT`
`static final String`
`DYNAMIC_FILTER_PARAMETER_ELEMENT`
`static final String`
`EXTENDED_ITEM`
`static final String`
`FILTER_CONDITION_ELEMENT`
`static final String`
`FREE_FORM_ITEM`
`static final String`
`GRAPHIC_MASTER_PAGE_ELEMENT`
`static final String`
`GRID_ITEM`
`static final String`
`GROUP_ELEMENT`
`static final String`
`HIERARCHY_ELEMENT`
`static final String`
`IMAGE_ITEM`
`static final String`
`JOINT_DATA_SET`
`static final String`
`LABEL_ITEM`
`static final String`
`LEVEL_ELEMENT`
`static final String`
`LIBRARY_ELEMENT`
`static final String`
`LINE_ITEM`
`static final String`
`LIST_GROUP_ELEMENT`
`static final String`
`LIST_ITEM`
`static final String`
`LISTING_ITEM`
`static final String`
`MASTER_PAGE_ELEMENT`
`static final String`
`MEASURE_ELEMENT`
`static final String`
`MEASURE_GROUP_ELEMENT`
`static final String`
`MEMBER_VALUE_ELEMENT`
`static final String`
`MODULE_ELEMENT`
`static final String`
`MULTI_LINE_DATA_ITEM`
Deprecated.
by `TEXT_DATA_ITEM`
`static final String`
`MULTI_VIEWS`
`static final String`
`ODA_CUBE_ELEMENT`
`static final String`
`ODA_DATA_SET`
`static final String`
`ODA_DATA_SOURCE`
`static final String`
`ODA_DIMENSION_ELEMENT`
`static final String`
`ODA_HIERARCHY_ELEMENT`
`static final String`
`ODA_LEVEL_ELEMENT`
`static final String`
`ODA_MEASURE_ELEMENT`
`static final String`
`ODA_MEASURE_GROUP_ELEMENT`
`static final String`
`PARAMETER_GROUP_ELEMENT`
`static final String`
`RECTANGLE_ITEM`
`static final String`
`REPORT_DESIGN_ELEMENT`
`static final String`
`REPORT_ITEM`
`static final String`
`REPORT_ITEM_THEME_ELEMENT`
`static final String`
`ROW_ELEMENT`
`static final String`
`SCALAR_PARAMETER_ELEMENT`
`static final String`
`SCRIPT_DATA_SET`
`static final String`
`SCRIPT_DATA_SOURCE`
`static final String`
`SIMPLE_DATA_SET_ELEMENT`
`static final String`
`SIMPLE_MASTER_PAGE_ELEMENT`
`static final String`
`SORT_ELEMENT`
`static final String`
`STYLE_ELEMENT`
`static final String`
`TABLE_GROUP_ELEMENT`
`static final String`
`TABLE_ITEM`
`static final String`
`TABULAR_CUBE_ELEMENT`
`static final String`
`TABULAR_DIMENSION_ELEMENT`
`static final String`
`TABULAR_HIERARCHY_ELEMENT`
`static final String`
`TABULAR_LEVEL_ELEMENT`
`static final String`
`TABULAR_MEASURE_ELEMENT`
`static final String`
`TABULAR_MEASURE_GROUP_ELEMENT`
`static final String`
`TEMPLATE_DATA_SET`
`static final String`
`TEMPLATE_ELEMENT`
`static final String`
`TEMPLATE_PARAMETER_DEFINITION`
`static final String`
`TEMPLATE_REPORT_ITEM`
`static final String`
`TEXT_DATA_ITEM`
`static final String`
`TEXT_ITEM`
`static final String`
`THEME_ITEM`
`static final String`
`VALUE_ACCESS_CONTROL`
`static final String`
`VARIABLE_ELEMENT`

## Field Details

### CELL_ELEMENT

static final String CELL_ELEMENT

See Also:
  - Constant Field Values

### COLUMN_ELEMENT

static final String COLUMN_ELEMENT

See Also:
  - Constant Field Values

### DATA_ITEM

static final String DATA_ITEM

See Also:
  - Constant Field Values

### DATA_SET_ELEMENT

static final String DATA_SET_ELEMENT

See Also:
  - Constant Field Values

### SIMPLE_DATA_SET_ELEMENT

static final String SIMPLE_DATA_SET_ELEMENT

See Also:
  - Constant Field Values

### DATA_SOURCE_ELEMENT

static final String DATA_SOURCE_ELEMENT

See Also:
  - Constant Field Values

### DESIGN_ELEMENT

static final String DESIGN_ELEMENT

See Also:
  - Constant Field Values

### ODA_DATA_SET

static final String ODA_DATA_SET

See Also:
  - Constant Field Values

### ODA_DATA_SOURCE

static final String ODA_DATA_SOURCE

See Also:
  - Constant Field Values

### DERIVED_DATA_SET

static final String DERIVED_DATA_SET

See Also:
  - Constant Field Values

### EXTENDED_ITEM

static final String EXTENDED_ITEM

See Also:
  - Constant Field Values

### FREE_FORM_ITEM

static final String FREE_FORM_ITEM

See Also:
  - Constant Field Values

### GRAPHIC_MASTER_PAGE_ELEMENT

static final String GRAPHIC_MASTER_PAGE_ELEMENT

See Also:
  - Constant Field Values

### GRID_ITEM

static final String GRID_ITEM

See Also:
  - Constant Field Values

### GROUP_ELEMENT

static final String GROUP_ELEMENT

See Also:
  - Constant Field Values

### IMAGE_ITEM

static final String IMAGE_ITEM

See Also:
  - Constant Field Values

### LABEL_ITEM

static final String LABEL_ITEM

See Also:
  - Constant Field Values

### LIBRARY_ELEMENT

static final String LIBRARY_ELEMENT

See Also:
  - Constant Field Values

### LINE_ITEM

static final String LINE_ITEM

See Also:
  - Constant Field Values

### LIST_GROUP_ELEMENT

static final String LIST_GROUP_ELEMENT

See Also:
  - Constant Field Values

### LIST_ITEM

static final String LIST_ITEM

See Also:
  - Constant Field Values

### LISTING_ITEM

static final String LISTING_ITEM

See Also:
  - Constant Field Values

### MASTER_PAGE_ELEMENT

static final String MASTER_PAGE_ELEMENT

See Also:
  - Constant Field Values

### MODULE_ELEMENT

static final String MODULE_ELEMENT

See Also:
  - Constant Field Values

### PARAMETER_GROUP_ELEMENT

static final String PARAMETER_GROUP_ELEMENT

See Also:
  - Constant Field Values

### CASCADING_PARAMETER_GROUP_ELEMENT

static final String CASCADING_PARAMETER_GROUP_ELEMENT

See Also:
  - Constant Field Values

### RECTANGLE_ITEM

static final String RECTANGLE_ITEM

See Also:
  - Constant Field Values

### REPORT_DESIGN_ELEMENT

static final String REPORT_DESIGN_ELEMENT

See Also:
  - Constant Field Values

### REPORT_ITEM

static final String REPORT_ITEM

See Also:
  - Constant Field Values

### ROW_ELEMENT

static final String ROW_ELEMENT

See Also:
  - Constant Field Values

### SCALAR_PARAMETER_ELEMENT

static final String SCALAR_PARAMETER_ELEMENT

See Also:
  - Constant Field Values

### DYNAMIC_FILTER_PARAMETER_ELEMENT

static final String DYNAMIC_FILTER_PARAMETER_ELEMENT

See Also:
  - Constant Field Values

### SCRIPT_DATA_SET

static final String SCRIPT_DATA_SET

See Also:
  - Constant Field Values

### SCRIPT_DATA_SOURCE

static final String SCRIPT_DATA_SOURCE

See Also:
  - Constant Field Values

### SIMPLE_MASTER_PAGE_ELEMENT

static final String SIMPLE_MASTER_PAGE_ELEMENT

See Also:
  - Constant Field Values

### STYLE_ELEMENT

static final String STYLE_ELEMENT

See Also:
  - Constant Field Values

### TABLE_GROUP_ELEMENT

static final String TABLE_GROUP_ELEMENT

See Also:
  - Constant Field Values

### TABLE_ITEM

static final String TABLE_ITEM

See Also:
  - Constant Field Values

### TEXT_ITEM

static final String TEXT_ITEM

See Also:
  - Constant Field Values

### TEXT_DATA_ITEM

static final String TEXT_DATA_ITEM

See Also:
  - Constant Field Values

### THEME_ITEM

static final String THEME_ITEM

See Also:
  - Constant Field Values

### TEMPLATE_PARAMETER_DEFINITION

static final String TEMPLATE_PARAMETER_DEFINITION

See Also:
  - Constant Field Values

### TEMPLATE_ELEMENT

static final String TEMPLATE_ELEMENT

See Also:
  - Constant Field Values

### TEMPLATE_REPORT_ITEM

static final String TEMPLATE_REPORT_ITEM

See Also:
  - Constant Field Values

### TEMPLATE_DATA_SET

static final String TEMPLATE_DATA_SET

See Also:
  - Constant Field Values

### JOINT_DATA_SET

static final String JOINT_DATA_SET

See Also:
  - Constant Field Values

### AUTOTEXT_ITEM

static final String AUTOTEXT_ITEM

See Also:
  - Constant Field Values

### CUBE_ELEMENT

static final String CUBE_ELEMENT

See Also:
  - Constant Field Values

### DIMENSION_ELEMENT

static final String DIMENSION_ELEMENT

See Also:
  - Constant Field Values

### HIERARCHY_ELEMENT

static final String HIERARCHY_ELEMENT

See Also:
  - Constant Field Values

### LEVEL_ELEMENT

static final String LEVEL_ELEMENT

See Also:
  - Constant Field Values

### MEASURE_ELEMENT

static final String MEASURE_ELEMENT

See Also:
  - Constant Field Values

### MEASURE_GROUP_ELEMENT

static final String MEASURE_GROUP_ELEMENT

See Also:
  - Constant Field Values

### ACCESS_CONTROL

static final String ACCESS_CONTROL

See Also:
  - Constant Field Values

### VALUE_ACCESS_CONTROL

static final String VALUE_ACCESS_CONTROL

See Also:
  - Constant Field Values

### TABULAR_CUBE_ELEMENT

static final String TABULAR_CUBE_ELEMENT

See Also:
  - Constant Field Values

### TABULAR_DIMENSION_ELEMENT

static final String TABULAR_DIMENSION_ELEMENT

See Also:
  - Constant Field Values

### TABULAR_HIERARCHY_ELEMENT

static final String TABULAR_HIERARCHY_ELEMENT

See Also:
  - Constant Field Values

### TABULAR_LEVEL_ELEMENT

static final String TABULAR_LEVEL_ELEMENT

See Also:
  - Constant Field Values

### TABULAR_MEASURE_ELEMENT

static final String TABULAR_MEASURE_ELEMENT

See Also:
  - Constant Field Values

### TABULAR_MEASURE_GROUP_ELEMENT

static final String TABULAR_MEASURE_GROUP_ELEMENT

See Also:
  - Constant Field Values

### ODA_CUBE_ELEMENT

static final String ODA_CUBE_ELEMENT

See Also:
  - Constant Field Values

### ODA_DIMENSION_ELEMENT

static final String ODA_DIMENSION_ELEMENT

See Also:
  - Constant Field Values

### ODA_HIERARCHY_ELEMENT

static final String ODA_HIERARCHY_ELEMENT

See Also:
  - Constant Field Values

### ODA_LEVEL_ELEMENT

static final String ODA_LEVEL_ELEMENT

See Also:
  - Constant Field Values

### ODA_MEASURE_ELEMENT

static final String ODA_MEASURE_ELEMENT

See Also:
  - Constant Field Values

### ODA_MEASURE_GROUP_ELEMENT

static final String ODA_MEASURE_GROUP_ELEMENT

See Also:
  - Constant Field Values

### MEMBER_VALUE_ELEMENT

static final String MEMBER_VALUE_ELEMENT

See Also:
  - Constant Field Values

### SORT_ELEMENT

static final String SORT_ELEMENT

See Also:
  - Constant Field Values

### FILTER_CONDITION_ELEMENT

static final String FILTER_CONDITION_ELEMENT

See Also:
  - Constant Field Values

### MULTI_VIEWS

static final String MULTI_VIEWS

See Also:
  - Constant Field Values

### VARIABLE_ELEMENT

static final String VARIABLE_ELEMENT

See Also:
  - Constant Field Values

### DATA_GROUP_ELEMENT

static final String DATA_GROUP_ELEMENT

See Also:
  - Constant Field Values

### DERIVED_DATA_SET_ELEMENT

static final String DERIVED_DATA_SET_ELEMENT

See Also:
  - Constant Field Values

### REPORT_ITEM_THEME_ELEMENT

static final String REPORT_ITEM_THEME_ELEMENT

See Also:
  - Constant Field Values

### MULTI_LINE_DATA_ITEM

@Deprecated static final String MULTI_LINE_DATA_ITEM
Deprecated.
by `TEXT_DATA_ITEM`

See Also:
  - Constant Field Values